Bug 21720 - Remove gcc-2.96-54 / Install gcc-2.95.2
Remove gcc-2.96-54 / Install gcc-2.95.2
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-12-04 18:52 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-04 18:52:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-04 18:52:13 EST
What is the procedure for removing gcc-2.96-54 and installing gcc-2.95.2? 
I have seen nothing but flames about how it shouldn't have been released,
but nothing specific about correcting the problem.  My company "needs" to
have gcc-2.95.2 and they "want" RH7.0.  Unfortunately there seems to be no
straight-forward way to do this.  Installing RPMs from RH6.2 generates all
sorts of errors on compilation of qt-2.2.1 and doing a make bootstrap on
gcc-2.95.2 generates an error [all-target-libio] Error 2.  Everything I
have tried has failed in getting gcc-2.95.2 to function properly under
RH7.0.  I have had some errors similar to Bug 19285 ('struct streampos'
used where a 'int' was expected).
The libio error makes me think that RH doesn't have the libraries where
they should be, but where (and what are) they?  glibc is installed on this

Joseph Meier
Comment 1 Jakub Jelinek 2000-12-05 04:39:59 EST
Vanilla gcc 2.95.2 cannot cope with glibc 2.2 headers, use
Comment 2 Tom Gwozdz 2000-12-20 16:06:47 EST
Are RPMS available for the patched downgraded gcc 2.95.2?
Comment 3 Jakub Jelinek 2000-12-21 04:52:37 EST
No (at least not released by Red Hat).

Note You need to log in before you can comment on or make changes to this bug.